## org.apache.mahout.math.jet.random
Class Beta

    java.lang.Object
      org.apache.mahout.math.PersistentObject
          org.apache.mahout.math.jet.random.AbstractDistribution
              org.apache.mahout.math.jet.random.AbstractContinousDistribution
                  org.apache.mahout.math.jet.random.Beta

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.apache.mahout.math.function.DoubleFunction, IntFunction, UnaryFunction

Deprecated. until unit tests are in place. Until this time, this class/interface is unsupported.

    @Deprecated
    public class Beta

extends AbstractContinousDistribution

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`randomGenerator`

Constructor Summary
`Beta(double alpha, double beta, java.util.Random randomGenerator)` Deprecated. Constructs a Beta distribution.

Method Summary
`protected double` `b00(double a, double b, java.util.Random randomGenerator)` Deprecated.
`protected double` `b01(double a, double b, java.util.Random randomGenerator)` Deprecated.
`protected double` `b1prs(double p, double q, java.util.Random randomGenerator)` Deprecated.
`double` `cdf(double x)` Deprecated. Returns the cumulative distribution function.
`double` `nextDouble()` Deprecated. Returns a random number from the distribution.
`double` `nextDouble(double alpha, double beta)` Deprecated. Returns a beta distributed random number; bypasses the internal state.
`double` `pdf(double x)` Deprecated. Returns the cumulative distribution function.
`void` `setState(double alpha, double beta)` Deprecated. Sets the parameters.
`java.lang.String` `toString()` Deprecated. Returns a String representation of the receiver.

Methods inherited from class org.apache.mahout.math.jet.random.AbstractContinousDistribution
`nextInt`

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`apply, apply, getRandomGenerator, setRandomGenerator`

Methods inherited from class org.apache.mahout.math.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Beta

    public Beta(double alpha,
                double beta,
                java.util.Random randomGenerator)

  Deprecated.
  Constructs a Beta distribution.

Method Detail

### b00

    protected double b00(double a,
                         double b,
                         java.util.Random randomGenerator)

  Deprecated.

### b01

    protected double b01(double a,
                         double b,
                         java.util.Random randomGenerator)

  Deprecated.

### b1prs

    protected double b1prs(double p,
                           double q,
                           java.util.Random randomGenerator)

  Deprecated.

### cdf

    public double cdf(double x)

  Deprecated.
  Returns the cumulative distribution function.

  Overrides:
    `cdf` in class `AbstractContinousDistribution`

### nextDouble

    public double nextDouble()

  Deprecated.
  Returns a random number from the distribution.

  Specified by:
    `nextDouble` in class `AbstractDistribution`
  Returns:
    A new sample from this distribution.

### nextDouble

    public double nextDouble(double alpha,
                             double beta)

  Deprecated.
  Returns a beta distributed random number; bypasses the internal state.

### pdf

    public double pdf(double x)

  Deprecated.
  Returns the cumulative distribution function.

  Overrides:
    `pdf` in class `AbstractContinousDistribution`

### setState

    public final void setState(double alpha,
                               double beta)

  Deprecated.
  Sets the parameters.

### toString

    public java.lang.String toString()

  Deprecated.
  Returns a String representation of the receiver.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.